Public Member Functions | Public Attributes | List of all members
MSWriteParserInternal::Font Struct Referencefinal

`#include <MSWrite.h>`

Inheritance diagram for MSWriteParserInternal::Font:

## Public Member Functions
| Font ()
| Font (Font const &)=default
| ~Font () final
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor More...
| WPSFont (WPSFont const &)=default
WPSFont & | operator= (WPSFont const &)=default
virtual | ~WPSFont ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | isSet () const
| accessor More...
bool | operator== (WPSFont const &ft) const
| operator== More...
bool | operator!= (WPSFont const &ft) const
| operator!= More...

## Public Attributes
uint32_t | m_fcFirst
uint32_t | m_fcLim
bool | m_special
bool | m_footnote
bool | m_annotation
libwps_tools_win::Font::Type | m_encoding
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name More...
double | m_size
| font size More...
uint32_t | m_attributes
| the font attributes defined as a set of bits More...
double | m_spacing
| font spacing More...
WPSColor | m_color
| the font color More...
int | m_languageId
| the language (simplified locale name id) if known More...
std::string | m_extra
| public field use to add a message when the font is printed More...

## Additional Inherited Members
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt) More...

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

MSWriteParserInternal::Font::Font | ( |  | ) |
| inline

## ◆ Font() [2/2]

MSWriteParserInternal::Font::Font | ( | Font const & |  | ) |
| default

## ◆ ~Font()

MSWriteParserInternal::Font::~Font | ( |  | ) |
| final

## Member Data Documentation

## ◆ m_annotation

bool MSWriteParserInternal::Font::m_annotation

Referenced by DosWordParser::readCHP().

## ◆ m_encoding

libwps_tools_win::Font::Type MSWriteParserInternal::Font::m_encoding

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_fcFirst

uint32_t MSWriteParserInternal::Font::m_fcFirst

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_fcLim

uint32_t MSWriteParserInternal::Font::m_fcLim

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

## ◆ m_footnote

bool MSWriteParserInternal::Font::m_footnote

Referenced by DosWordParser::readCHP().

## ◆ m_special

bool MSWriteParserInternal::Font::m_special

Referenced by DosWordParser::readCHP(), and MSWriteParser::readCHP().

The documentation for this struct was generated from the following files:

- MSWrite.h
- MSWrite.cpp